oasis.names.tc.saml._1_0.assertion

## Class Subject

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.Subject

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class Subject
      extends Object
      implements Serializable

  Java class for SubjectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <sequence>
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}NameIdentifier"/>
                 <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectConfirmation" minOccurs="0"/>
               </sequence>
               <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}SubjectConfirmation"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NameIdentifierType` | `getNameIdentifier()` Gets the value of the nameIdentifier property.
    `SubjectConfirmation` | `getSubjectConfirmation()` Gets the value of the subjectConfirmation property.
    `void` | `setNameIdentifier(NameIdentifierType value)` Sets the value of the nameIdentifier property.
    `void` | `setSubjectConfirmation(SubjectConfirmation value)` Sets the value of the subjectConfirmation property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Subject

          public Subject()

  - ### Method Detail

    - #### getNameIdentifier

          public NameIdentifierType getNameIdentifier()

      Gets the value of the nameIdentifier property.
      Returns:
        possible object is `NameIdentifierType`

    - #### setNameIdentifier

          public void setNameIdentifier(NameIdentifierType value)

      Sets the value of the nameIdentifier property.
      Parameters:
        `value` - allowed object is `NameIdentifierType`

    - #### getSubjectConfirmation

          public SubjectConfirmation getSubjectConfirmation()

      Gets the value of the subjectConfirmation property.
      Returns:
        possible object is `SubjectConfirmation`

    - #### setSubjectConfirmation

          public void setSubjectConfirmation(SubjectConfirmation value)

      Sets the value of the subjectConfirmation property.
      Parameters:
        `value` - allowed object is `SubjectConfirmation`

Connector Packaging PHYSIOTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.